<?php

/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Viralike
 */

get_header(); ?>

<div class="single-row">

	<?php
	// Start the Loop
	while (have_posts()) : the_post();

		// Content
		get_template_part('template-parts/content/content', 'single');

		// Container
		echo '<div class="container container--single">';

		// Pagination
		the_post_navigation([
			'prev_text' => '<span class="nav-subtitle">' . esc_html__('Previous:', 'viralike') . '</span> <span class="nav-title">%title</span>',
			'next_text' => '<span class="nav-subtitle">' . esc_html__('Next:', 'viralike') . '</span> <span class="nav-title">%title</span>',
		]);

		// If comments are open or we have at least one comment, load up the comment template.
		if (comments_open() || get_comments_number()) :
			comments_template();
		endif;

		// .container--single close
		echo '</div>';

	endwhile; // End of the loop.
	?>

</div><!-- .single-row -->

<?php
get_footer();
